GNU bug report logs - #47784
27.2: ses-header-row [PATCH INCLUDED]

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Boruch Baum <boruch_baum@HIDDEN>; Keywords: patch fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 47784 <at> debbugs.gnu.org and Boruch Baum <boruch_baum@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47784 <at> debbugs.gnu.org:


Received: (at 47784) by debbugs.gnu.org; 5 May 2021 13:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 09:09:03 2021
Received: from localhost ([127.0.0.1]:60055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leHGx-0005NB-Iu
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 09:09:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leHGv-0005Mk-37
 for 47784 <at> debbugs.gnu.org; Wed, 05 May 2021 09:09:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iqvN1EaSZgTf0j2IhSljw5XsrtUB2KZDzmXzAXgRo1U=; b=iRSnYMDgGNRJQp3QM8MVNse1Kc
 NNzMUbftgF7osIH0KcLnUoDuh+cB620KIVbpjyQhEgubmjKtiN72zB8mxuA+o6seNWJ0KP0wnk1HG
 Trgc3vTSxfGa7lB/98xdZmLNOtNHVm0FBLnMpctCRYRUM9unj3gkfFwYBWC//KTgjkeI=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leHGm-000179-J4; Wed, 05 May 2021 15:08:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Boruch Baum <boruch_baum@HIDDEN>
Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]
References: <20210415033147.a3hoclq24colpjf7@HIDDEN>
X-Now-Playing: Kreidler's _Flood_: "Flood V"
Date: Wed, 05 May 2021 15:08:52 +0200
In-Reply-To: <20210415033147.a3hoclq24colpjf7@HIDDEN> (Boruch
 Baum's message of "Wed, 14 Apr 2021 23:31:47 -0400")
Message-ID: <87mtt95nvf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Boruch Baum <boruch_baum@HIDDEN> writes: > Two patch files
 are attached. > > + ses-header-row.patch > > + Function `ses-set-header-row'
 was determining the current row based > upon variable `ses--curcell', but
 that variable is NIL until one [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47784
Cc: 47784 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Boruch Baum <boruch_baum@HIDDEN> writes:

> Two patch files are attached.
>
> + ses-header-row.patch
>
>   + Function `ses-set-header-row' was determining the current row based
>     upon variable `ses--curcell', but that variable is NIL until one
>     begins an operation on a cell (eg. keybindings '=', '"'), so
>     navigating to a row was insufficient to select that row, and further
>     generated an ERROR because the code was not expecting a NIL value for
>     variable `ses--curcell'
>
>   + Using function `user-error' instead of `error' doesn't spawn a
>     debug session and backtrace buffer when variable
>     `toggle-debug-on-error' is set.
>
> + ses-user-error.patch
>
>   + Quasi-randomly replaces some calls to function `error' with
>     `user-error'.

Looks good to me, so I've applied both patches to Emacs 28.  Eli had
some questions about the usage of user-error instead of error in the
second patch, but as far as I can tell, using `user-error' is indeed the
right thing here, because the errors in question seem more user
initiated.

I've got two tiny comments about the patch.  First of all, the
whitespace seemed odd:

lisp/ses.el:3462: space before tab in indent.
+         	  (currow (1+ (car (ses-sym-rowcol curcell)))))

So I fixed that up, but I've seen that in other patches -- could you
have a look and see what's causing this mixture of tab and spaces?

The other comment is that it would be nice to have ChangeLog-style
commit messages -- use `C-x 4 a' to format one before sending patches.
Less work when applying the patch.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47784; Package emacs. Full text available.

Message received at 47784 <at> debbugs.gnu.org:


Received: (at 47784) by debbugs.gnu.org; 21 Apr 2021 09:23:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 05:23:43 2021
Received: from localhost ([127.0.0.1]:57008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZ95D-00075L-5o
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 05:23:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lZ95B-000755-WA
 for 47784 <at> debbugs.gnu.org; Wed, 21 Apr 2021 05:23:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52975)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lZ956-0007cd-Eu; Wed, 21 Apr 2021 05:23:36 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3075
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lZ955-0002DD-UR; Wed, 21 Apr 2021 05:23:36 -0400
Date: Wed, 21 Apr 2021 12:23:22 +0300
Message-Id: <83bla8q9dh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmp1USUMx3g0RTFB3wD-OoLbvPD_oecJrbRhmQ+Z-gStA@HIDDEN>
 (message from Stefan Kangas on Tue, 20 Apr 2021 19:02:26 -0500)
Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]
References: <20210415033147.a3hoclq24colpjf7@HIDDEN>
 <83eef8vhdr.fsf@HIDDEN>
 <20210419092430.zv5gorzsvn5g2cdc@HIDDEN>
 <83y2des9yn.fsf@HIDDEN>
 <CADwFkmmp1USUMx3g0RTFB3wD-OoLbvPD_oecJrbRhmQ+Z-gStA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 47784
Cc: boruch_baum@HIDDEN, 47784 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Tue, 20 Apr 2021 19:02:26 -0500
> Cc: Boruch Baum <boruch_baum@HIDDEN>, 47784 <at> debbugs.gnu.org
> 
> >> They avoid spawning a backtrace buffer when toggle-debug-on-error is set
> >> and the error is a user input error caught by a validation test within
> >> an `interactive' function call.
> >
> > I understand that, but the same is true for every call to 'error'
> > whenever debug-on-error is set.  Since by default debug-on-error is
> > NOT set, I don't think I agree with that part of the change.  (Why do
> > you even have that variable set non-nil?)
> 
> AFAIU, `user-error' is to be used when, according to its docstring:
> 
>     This is like ‘error’ except that a user error (or "pilot error") comes
>     from an incorrect manipulation by the user, not from an actual problem.
> 
> So if that is the case here, then it should be `user-error's and
> otherwise it should be plain `error's.  Right?

How do you establish whether a particular problem is due to "incorrect
manipulation by the user"?  Since almost everything in Emacs comes
from the user, one way or another, every error is due to "incorrect
manipulation" of some kind.  OTOH, commands can also be invoked from
Lisp, non-interactively, in which case the user may have nothing to do
with the problem, at least not directly.

With that in mind, please look at the code where Boruch suggested to
make these changes, and tell me what you think about them.

Boruch's rationale was a different one, it stems from running with
debug-on-error set non-nil.  But that is a very unusual thing to do,
and is bound to produce annoying backtraces all over the place.  So
I'm not sure I share the opinion that these changes should be made.  I
would like to hear other opinions, though.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47784; Package emacs. Full text available.

Message received at 47784 <at> debbugs.gnu.org:


Received: (at 47784) by debbugs.gnu.org; 21 Apr 2021 00:02:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 20 20:02:36 2021
Received: from localhost ([127.0.0.1]:56394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZ0KB-0000ri-Qp
	for submit <at> debbugs.gnu.org; Tue, 20 Apr 2021 20:02:36 -0400
Received: from mail-pf1-f178.google.com ([209.85.210.178]:33438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lZ0K9-0000rN-68
 for 47784 <at> debbugs.gnu.org; Tue, 20 Apr 2021 20:02:33 -0400
Received: by mail-pf1-f178.google.com with SMTP id h11so9271394pfn.0
 for <47784 <at> debbugs.gnu.org>; Tue, 20 Apr 2021 17:02:33 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc
 :content-transfer-encoding;
 bh=xV3AH+E4stkuNJo9hHzAnv9ZYOsoLYkW4Mo8/MjgXi8=;
 b=L7LwEGaFcfvM6+7xdLDQh0dkA+bW5JJVr08i+u1y0wZtnY6O+q/KIeBwhbdrqD6PPx
 FoiAR9eLyPWpfTHRQ1TQvxvPTTocUpBEQj5fXNK67pzKMzLiOasIrLwXQKV0QL4G9Srd
 Uyo08vZqvcxnE30dG7GxaP8bqBbKTZ+82q0nw87bO329Mh6rWr4RrES/L6Wpci2s5iOE
 /tPo3yixsqzseyAB6hkvjb47o2HE3XcPmikBYwMTNOupJG027ZYLkfaJvhW++4ulFGPz
 rjQlZtMIc+uc9gJt5LqzUnJO8Ugs9Sd/tqAs8d7Yai7YXXsDgsnYnQF76q8Q2UmZhVT4
 c9Aw==
X-Gm-Message-State: AOAM533YYGBAt0WJTTo3pt0xaC7DLqM/bCB4U0FIh4BWC+FSP99PkOvi
 uP2DJw25/oegqBggtYltD3K96ey8Ykujl0odFzM=
X-Google-Smtp-Source: ABdhPJw3MatilCVBmQh/NXugQONeliytXJEr/9Ioqdz0lnb8j6lZtmz8Yv9vsV2F0ozaHOxgwyPfeKy53YFRkoFYmlw=
X-Received: by 2002:a05:6a00:2353:b029:25c:7dc5:a718 with SMTP id
 j19-20020a056a002353b029025c7dc5a718mr16949201pfj.58.1618963347304; Tue, 20
 Apr 2021 17:02:27 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 20 Apr 2021 19:02:26 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83y2des9yn.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 19 Apr
 2021 16:03:12 +0300")
References: <20210415033147.a3hoclq24colpjf7@HIDDEN>
 <83eef8vhdr.fsf@HIDDEN>
 <20210419092430.zv5gorzsvn5g2cdc@HIDDEN>
 <83y2des9yn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 20 Apr 2021 19:02:26 -0500
Message-ID: <CADwFkmmp1USUMx3g0RTFB3wD-OoLbvPD_oecJrbRhmQ+Z-gStA@HIDDEN>
Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 47784
Cc: Boruch Baum <boruch_baum@HIDDEN>, 47784 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > Thanks, but I don't think I understand the rationale for the second
>> > patch.  What is the problem with signaling an error in those two
>> > places?
>>
>> They avoid spawning a backtrace buffer when toggle-debug-on-error is set
>> and the error is a user input error caught by a validation test within
>> an `interactive' function call.
>
> I understand that, but the same is true for every call to 'error'
> whenever debug-on-error is set.  Since by default debug-on-error is
> NOT set, I don't think I agree with that part of the change.  (Why do
> you even have that variable set non-nil?)

AFAIU, `user-error' is to be used when, according to its docstring:

    This is like =E2=80=98error=E2=80=99 except that a user error (or "pilo=
t error") comes
    from an incorrect manipulation by the user, not from an actual problem.

So if that is the case here, then it should be `user-error's and
otherwise it should be plain `error's.  Right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47784; Package emacs. Full text available.

Message received at 47784 <at> debbugs.gnu.org:


Received: (at 47784) by debbugs.gnu.org; 19 Apr 2021 13:28:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:28:04 2021
Received: from localhost ([127.0.0.1]:48823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTwa-0007mb-JT
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:28:04 -0400
Received: from mout.gmx.net ([212.227.15.15]:54179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boruch_baum@HIDDEN>) id 1lYTwX-0007m2-KK
 for 47784 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:28:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1618838875;
 bh=8abtfDjRt00Z/58McoGLPhCFr9ToCjg/OZEpAX8guVQ=;
 h=X-UI-Sender-Class:Date:From:To:Cc:Subject:References:In-Reply-To;
 b=ZaAFP8EuMRDYq4caqErOXyARXesVY4IKU7bcg1w2+bYNZenvv2jpfFzweHRF2TLpK
 PFIdCm0Zw+3EYVZHBSfIr+PIdrBNwbExdQKiH5W05eHQ4AFFG/PnoCNaqHTpUaYhgN
 TLlq9A7f50oikbdsHkK7hNyAMogxA2Pvx3Bk4Fzc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from E15-2016.optimum.net ([70.19.86.82]) by mail.gmx.net (mrgmx004
 [212.227.17.184]) with ESMTPSA (Nemesis) id 1MulqD-1lqHwP4C2t-00rmGh; Mon, 19
 Apr 2021 15:27:55 +0200
Date: Mon, 19 Apr 2021 09:27:52 -0400
From: Boruch Baum <boruch_baum@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]
Message-ID: <20210419132752.2enm3o3zlbyify6p@HIDDEN>
References: <20210415033147.a3hoclq24colpjf7@HIDDEN>
 <83eef8vhdr.fsf@HIDDEN>
 <20210419092430.zv5gorzsvn5g2cdc@HIDDEN>
 <83y2des9yn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83y2des9yn.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Provags-ID: V03:K1:+PMmN5prvyqZNqowNcTulj/igQi88CkrurZacJbD3nBUVSMYfOT
 sDk18YrjFKDeoB5jRyzjU7wvRupsGV5T8l70hLpyre6iViaq24ktdLim2yW8q7gSAZdAhjn
 WcaD+KmxhDNaY08Npv4blr+DlMa+MLymwNKOppXvugQuPbwanEwZTHxteWknlfMirEtvrBv
 6XiOJQ7jpu5idU2vLBl8w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:p6jF6z439iA=:Aeigo2LNTe7D3t7a+QbeFA
 unEMNx99Cu+FCcz28lv5Nai3ahEGEyR0PRObGl4DvbG6VK31SiPnp/edG0VLsooCs/rw+Mzr2
 r+bs592umRbSDeUirf/2EMwvKcZ37Z+ROaGT/KxURT6gy/CMkbY0Sr8qkPFAYMYu6kMH2WERI
 aBmjDKMMRdBYt6KRgrgS06xG2l4cWoWW7zCq4An4raLYu/WrcCdzdZ/XmgotyvxpPu/MAcOKp
 fjB4aneM082Slq6pDlziopc5vhu/LvP+BRf9Q7Ec6kakT7F2PuPfPWCAI9SZtsLQSdTxWuyP5
 2DMuXKXUQgq0gV9O/XmZ/qItPPHRRZedqIMbfQD19/j+EQVF6tWz+jfMPuCEUNf6dhP/C20fx
 KZp7j+mEXEZhUV8KPYeEhAN6Q/jL/HXLR4PTeKBdxtj95BDLYkiGXrTinjxhGA3uURYYL6fWe
 FsQYAvJ+lTJVYum8t2J4tQCDLgrgmbxoips+vv4N09NUq6AkdwQfto+X1No0Gekf2MIJtdV0L
 DiSKeJNAovCgspbt6GnVZUL8kMks+nbinuU3MdcuJcteGy4MIS0QBHzn2v4Rbpdm1VwnzrTs7
 mh4S2RXpnPmkbA4LevVV2ZHmb6tc6mbb7GvnDtfWHT9eOYTG1twmyk4Ifu4ikUaLzP9ptvYZr
 nNcKa4gtCaMKF0xwrXp9Y9T9knj3o7Tdvmm1Csa/CArFVadxdVl+CJPI0YZMUF0iyad+A/G/D
 5vp5Rn1hPbUttuWC3NYFXjeKlGm76SjzqFN3MJjxdVpCSlvlHfdZWTzQv+As23gcajyliqH8H
 YtfVPPvdIitlS2iBVsEq2M8blckIX9i+in89jQzVlPNnTtk5k2JYsPDjYRvDirOMUqQXKj6DE
 ti8GK0DWORuBDKb8FJB1Hgd/+AGRkCTMjP6fVZ1QBg7b1Yk0I/XPwlGGNNTORKbgFrdDpr/Xv
 WXjVWxAj/KpGrg+2OgLyDDDaI1ql+5k5JwcIbs/8ceuPsrLwvS3fJjUjY9IhQCQRQ/DIyDgH0
 H4/DOUGdYtCktbCnjm+eX9Jq+ytgFIfGg+XjSnkgtfnCJMgUJJvH6DhO4iBwTXceEXs1HquV9
 9UfpYNtlrILfB6EtiSJKUEZHJBBJoBcij/JxeF634BNAu487DDyCp4cWcAL68fWqEDyyV0BHC
 trygkrrqgYZQY4sdx0RZlopgCG8rPOQu3R5Nixr3Kl5zLQLBU2Hrd366U0H/EcIbcIsVM=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47784
Cc: 47784 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2021-04-19 16:03, Eli Zaretskii wrote:
> > Date: Mon, 19 Apr 2021 05:24:30 -0400
> > From: Boruch Baum <boruch_baum@HIDDEN>
> > Cc: 47784 <at> debbugs.gnu.org
> >
> > > Thanks, but I don't think I understand the rationale for the second
> > > patch.  What is the problem with signaling an error in those two
> > > places?
> >
> > They avoid spawning a backtrace buffer when toggle-debug-on-error is s=
et
> > and the error is a user input error caught by a validation test within
> > an `interactive' function call.
>
> I understand that, but the same is true for every call to 'error'
> whenever debug-on-error is set.

Not at all. The specific metrics are:

  1) validation of user-input
  2) interactive call

Decide what your opinion is the purpose of function `user-error'
separate from `error' and act accordingly. Whatever metric you use,
you're bound to find cases of `error' being misused when `user-error'
should be used.

=2D-
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47784; Package emacs. Full text available.

Message received at 47784 <at> debbugs.gnu.org:


Received: (at 47784) by debbugs.gnu.org; 19 Apr 2021 13:03:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:03:45 2021
Received: from localhost ([127.0.0.1]:48737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTZ3-0004xX-03
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:03:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lYTYw-0004x7-Ly
 for 47784 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:03:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39794)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lYTYp-0004yZ-RG; Mon, 19 Apr 2021 09:03:32 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1555
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lYTYl-0006Vd-SK; Mon, 19 Apr 2021 09:03:31 -0400
Date: Mon, 19 Apr 2021 16:03:12 +0300
Message-Id: <83y2des9yn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Boruch Baum <boruch_baum@HIDDEN>
In-Reply-To: <20210419092430.zv5gorzsvn5g2cdc@HIDDEN> (message
 from Boruch Baum on Mon, 19 Apr 2021 05:24:30 -0400)
Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]
References: <20210415033147.a3hoclq24colpjf7@HIDDEN>
 <83eef8vhdr.fsf@HIDDEN>
 <20210419092430.zv5gorzsvn5g2cdc@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47784
Cc: 47784 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Mon, 19 Apr 2021 05:24:30 -0400
> From: Boruch Baum <boruch_baum@HIDDEN>
> Cc: 47784 <at> debbugs.gnu.org
> 
> > Thanks, but I don't think I understand the rationale for the second
> > patch.  What is the problem with signaling an error in those two
> > places?
> 
> They avoid spawning a backtrace buffer when toggle-debug-on-error is set
> and the error is a user input error caught by a validation test within
> an `interactive' function call.

I understand that, but the same is true for every call to 'error'
whenever debug-on-error is set.  Since by default debug-on-error is
NOT set, I don't think I agree with that part of the change.  (Why do
you even have that variable set non-nil?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47784; Package emacs. Full text available.

Message received at 47784 <at> debbugs.gnu.org:


Received: (at 47784) by debbugs.gnu.org; 19 Apr 2021 09:24:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 05:24:42 2021
Received: from localhost ([127.0.0.1]:48433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYQ94-000588-69
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 05:24:42 -0400
Received: from mout.gmx.net ([212.227.15.19]:42221)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boruch_baum@HIDDEN>) id 1lYQ92-00057s-50
 for 47784 <at> debbugs.gnu.org; Mon, 19 Apr 2021 05:24:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1618824273;
 bh=cb81+WJIKszz7QKo1g2/vAm6hDVyl8YUmU31uptBBXM=;
 h=X-UI-Sender-Class:Date:From:To:Cc:Subject:References:In-Reply-To;
 b=LVkW9kLFyJu0oCPMkkOqOAtrbm8nPovGxH1Dsr5GmTUyiH+H4j9JqS8TiV4QG+dwU
 PK/WR5af2XD4XDUjc2pVduQzTeyYfE1gEzEpOGFwIE0HCcYhv56GZhcB/QmkAvRY6P
 ASwVxdMucGRV2k7CfWpWo+U/Iel70EvkOWI95DYM=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from E15-2016.optimum.net ([70.19.86.82]) by mail.gmx.net (mrgmx005
 [212.227.17.184]) with ESMTPSA (Nemesis) id 1MG9kM-1lHxc51x1Q-00Gam2; Mon, 19
 Apr 2021 11:24:33 +0200
Date: Mon, 19 Apr 2021 05:24:30 -0400
From: Boruch Baum <boruch_baum@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]
Message-ID: <20210419092430.zv5gorzsvn5g2cdc@HIDDEN>
References: <20210415033147.a3hoclq24colpjf7@HIDDEN>
 <83eef8vhdr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83eef8vhdr.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Provags-ID: V03:K1:JhP19hBq6nJTBLUmD9ACgctwA5Utv20txsmNeME+S3y7I2iTAUq
 dVUZacQfptLTN+4FRPHSNrZPvVtktKU7Nx59bxYdVaf9skRwBEgCzRS5lZmvAoZXj0uUXI6
 Pg+LNRccE9rsat2KHEegG/ewVzLKIpBUVrXWrK8E+QPVpoUKeGhIItA1giDDZy93TjCaCJ4
 1Fi8yikg4yZ0fdy7Q40HA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:OcvIo73/coE=:sqdFZzvfjvogDHar3dPDoq
 gZY2EKFdrYyPsFdM17F8ffA2zO1w9vNkvhIqz2SyGct8cVEGxT4CNx8A5gYu9VKX9uA2XK4VW
 0JIeoWNAUeoq+nneox5iJNgKlSTp1vfDntDaeQ/gAkkJZTa2FYPlW6OxMA4V2cUuICfCYqMTZ
 eDLRAtuearmyI6vWz90s9MDXhBv6WyDKHLsKULK4IdxVGMySwb3cojjsTxNO5W03BFmWaREGm
 B4V96AhnjfkfQRkYW0u9UXqYkHbSgrHds8iwkNaV4aSUz0jRcdgL3u1jLTqHQuZbH2pB/etUn
 1j4y8rqhRBfKQVtvDsesAYHZaLvCnwgLgOyuBSJuU/5rdw4n08vR49jOggvoTWhu8OVl/5rAX
 o7PJWRJf6XnsmY7IWAPcRfRkBKNZETJmg4IuOs8SjFkgJo9m6QBvKAT3pTZQYyA+j/KN7cr34
 2EzH0EWa4IRNcDS9mkfsucdtvgJJ+MdhZE0fphZUsSmIINZZRuAJ1IHjfMlkmlMNswsUzAhj+
 icypyiaWdLnOQ8lJA8+zbeRsqAoo9kPjWu7xX8rPSlfg3Q/bSHBa6vxnk7nxnATW/aTXO5kA/
 5vOWo4/hFuPEmNSYR99mVWIJUXiYYzKaT1RQFT7Oa1aMBAGUfL3UemodepwMSy8TUQohwrvvV
 uKYit0JJNoaMh3fBxIt36+cCjUSeZQ3TvLNurm/Bj2C0yK3gF9+KO9wzALk01het6vt89fm+G
 GWDgSdzbtJ6lpPXmPF+CycjqUDaGgjiAtQV/VqjgPTydg0lZ7INfo8PvDjr8d/QOw/Kvi83mw
 gxwZPMyprD+rhoTe0EGpKTgZvib40QUqFUZUlzwLzYclLlx1IYB6K/8DJxWC32it6bIKksorq
 PX3REyuYiM8HvYQbN//uxuBRNUnx5a+dsodsh/7F4aXEjaw4xlPUaT99j6yO1Ds/N3NspEGqQ
 4cCycweytwwpr7rOGwQEcqavzcS9Z5w/9ISenc0nEYbnsAp/rsr0KnuPuWjO2Rwo5dvlZdUiB
 Y3CiVu2R9WCeujbopl2nu+ZGXN8nOKmNS/jbiCvY/LKTh5zwbb39BIxrY9Yn6H0QrrW5KXRGW
 oJp3ETyGo7cjXh+L7xnzrTGZwDvTIM+39tNHeFeVdPQTKCVRgCWU4gNEzUszbw4vqCnLVszAF
 xntCULBT5WlVjtnBzqrQSq3MTsgnczT7qWhyhNjjOLiFaEMuoG452h57cSv0e/pQtJ0tM=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47784
Cc: 47784 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2021-04-17 22:30, Eli Zaretskii wrote:
> > Date: Wed, 14 Apr 2021 23:31:47 -0400
> > From: Boruch Baum <boruch_baum@HIDDEN>

> > ...

> > + ses-user-error.patch
> >
> >   + Quasi-randomly replaces some calls to function `error' with
> >     `user-error'.
> >
> >   + There could be many other desirable points of replacement, but the=
se
> >     were some obvious ones, and without knowing whether the patch woul=
d
> >     be accepted at all, it's what I invested.
>
> Thanks, but I don't think I understand the rationale for the second
> patch.  What is the problem with signaling an error in those two
> places?

They avoid spawning a backtrace buffer when toggle-debug-on-error is set
and the error is a user input error caught by a validation test within
an `interactive' function call.

=2D-
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47784; Package emacs. Full text available.

Message received at 47784 <at> debbugs.gnu.org:


Received: (at 47784) by debbugs.gnu.org; 17 Apr 2021 19:30:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 15:30:29 2021
Received: from localhost ([127.0.0.1]:44676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXqeD-0000rZ-NI
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 15:30:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lXqeC-0000rI-HS
 for 47784 <at> debbugs.gnu.org; Sat, 17 Apr 2021 15:30:28 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38983)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lXqe7-0000VH-7M; Sat, 17 Apr 2021 15:30:23 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3213
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lXqe5-00064X-JE; Sat, 17 Apr 2021 15:30:22 -0400
Date: Sat, 17 Apr 2021 22:30:08 +0300
Message-Id: <83eef8vhdr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Boruch Baum <boruch_baum@HIDDEN>
In-Reply-To: <20210415033147.a3hoclq24colpjf7@HIDDEN> (message
 from Boruch Baum on Wed, 14 Apr 2021 23:31:47 -0400)
Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]
References: <20210415033147.a3hoclq24colpjf7@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47784
Cc: 47784 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Wed, 14 Apr 2021 23:31:47 -0400
> From: Boruch Baum <boruch_baum@HIDDEN>
> 
> Two patch files are attached.
> 
> + ses-header-row.patch
> 
>   + Function `ses-set-header-row' was determining the current row based
>     upon variable `ses--curcell', but that variable is NIL until one
>     begins an operation on a cell (eg. keybindings '=', '"'), so
>     navigating to a row was insufficient to select that row, and further
>     generated an ERROR because the code was not expecting a NIL value for
>     variable `ses--curcell'
> 
>   + Using function `user-error' instead of `error' doesn't spawn a
>     debug session and backtrace buffer when variable
>     `toggle-debug-on-error' is set.
> 
> + ses-user-error.patch
> 
>   + Quasi-randomly replaces some calls to function `error' with
>     `user-error'.
> 
>   + There could be many other desirable points of replacement, but these
>     were some obvious ones, and without knowing whether the patch would
>     be accepted at all, it's what I invested.

Thanks, but I don't think I understand the rationale for the second
patch.  What is the problem with signaling an error in those two
places?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47784; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2021 03:32:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 14 23:32:00 2021
Received: from localhost ([127.0.0.1]:36116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWsjX-0006Gn-Ve
	for submit <at> debbugs.gnu.org; Wed, 14 Apr 2021 23:32:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:50984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boruch_baum@HIDDEN>) id 1lWsjT-0006Gb-Su
 for submit <at> debbugs.gnu.org; Wed, 14 Apr 2021 23:31:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50236)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <boruch_baum@HIDDEN>)
 id 1lWsjT-0007nb-L2
 for bug-gnu-emacs@HIDDEN; Wed, 14 Apr 2021 23:31:55 -0400
Received: from mout.gmx.net ([212.227.17.20]:42781)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <boruch_baum@HIDDEN>)
 id 1lWsjR-00086Z-J5
 for bug-gnu-emacs@HIDDEN; Wed, 14 Apr 2021 23:31:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1618457510;
 bh=gemglBM5BHijUNyGkO439gw2idxnkfQnDv8DthDZN/g=;
 h=X-UI-Sender-Class:Date:From:To:Subject;
 b=KrDVUtUgKC/nmRkmqiWrAFY78Oz7tI2BKR1Tc1LbrjicYF9OXAKQxlDy60ekTlo40
 f9sat7xnAtEp3dQxlzZUFAkdc8jgY9sU20k6qusYK2KBKe4s5LC2cn9YbhPnLxvWKH
 UYYFi/2A33r726u2ya+241nxfGltH3m+NYx4HZOc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from E15-2016.optimum.net ([70.19.86.82]) by mail.gmx.net (mrgmx105
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1N2V0B-1lfrWk3gch-013uHT
 for <bug-gnu-emacs@HIDDEN>; Thu, 15 Apr 2021 05:31:50 +0200
Date: Wed, 14 Apr 2021 23:31:47 -0400
From: Boruch Baum <boruch_baum@HIDDEN>
To: Emacs Bug Reporting <bug-gnu-emacs@HIDDEN>
Subject: 27.2: ses-header-row [PATCH INCLUDED]
Message-ID: <20210415033147.a3hoclq24colpjf7@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="wrvhv2sruki3lcpk"
Content-Disposition: inline
User-Agent: NeoMutt/20180716
X-Provags-ID: V03:K1:2pso4Vtrv1z4bx8ryyYvHrKB9FS6by7Ri0QZ+dhFeNlWTtuMsR0
 PMZ1e6palwTE4elx8934zZN/33TLfdn8/VbTk3vLiXbfdpKSPIz9+Ch2DuHme0wPzJidKgF
 h/juM7TDBJeTPnkqR1FTEZGuXZGb545BY9VVxurw+scXWvN4GqOf1IIgg/RYrsWEtVzQcRl
 WaxJx6YWXVuGCqazYmNKA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:kI6Qi9ZLRZk=:TF6sZ45w+C9gw3sxIehHrq
 jtsMy8DrUP5QPJQTLnGYe7kAl/lpyj/+OHSWfQQS4aabffOWYjfDT54urry+G8+I/s0M6da6U
 OEXBgVCteTUeE1r8sp+5Zp4F7JW9Ub1cT5nO11Dg8HfUsIp0ZJb0SXAv3D1BtVjKKEbrNEeYN
 6FDlMOC73xIBw+ibEoozk3/2cRADdRYgH/4kr8zvtnKj7DmGF+ainKEiM1naWqYBoTm+j3SCr
 wcS/PfcoGqffFxMV4LLV1aumk/A0pk1UIK2zqvND7Hw58a6t55tK1+/7bmiCxN6e1vMgRbLAv
 pjs7atFfOa/b6U0lR7ehd12SLgBsfKBNrvAMai7yEhLZEmQhfoW+irq73U6dTBm9TpiZA2SV7
 uiuKy01NhoQ+49kTN2Cq9WlAo1MhQU8xzSsQUr1Kx5uYIDymMP4E6TW3/RCSc+QlYj/ids3mX
 J77VuM84+uLdDV6wQIvCBVS8zWQe9WEaQmBeaadXwIDDmYzHRc7tZUvxBeUdvhv7dW3lQngqs
 jNd7GGQwft/i5M5nxMh8xKN2FX9VD+HqgE/edUeewmALdrLQicTwwihUjTd/pXpKumFYChWKk
 hlQalLiRQCM4nIe/7mp51Q55xBBZ2rx7Q2KHUOvKmc/S4Wnn6lMRpNP57XRUWwCt8zJrk5PGE
 i7SY5SlZ2Ra2ySaXg19lm+z3ygg5N8zZqgZN5WV3ZaYMCDkfqrYg0Qd6jjkp54BSXZQyHlh/s
 b6K/u/zGpl4kIRonSfLtjIikVArgTJ+mfX/47pH40qlPZGfURhga+Jo8o7ixRc06SLxfq5GY/
 Mc2C3FDPn7X1602g8v74vbK8treXsIh14MOUNFGUreibv6xX+5UWiYKXF3w/nfsCKDiteIzf/
 T+3Ai9PRsLjvbOK8foXwe/FKEsDif3/ULx+G4jsb12d21q98a4K1mOlhFseW3CwK499XSvAAa
 kxYXwgbITdsozSZ1CPNLoqDZgCm1iZHPMNpglb7oSaJ2eu+pbpPIXt9S1aHvgL0T9qbljPK64
 DDbL8EPq6jeQblXuVz0pjrLT88MCJMHW+iLX0RTMFpJt9fiD3o8lKOD1XhRa/sY68h2I4N+lb
 RbEyvc9IAi6tUlYyLGWtEAfKEhkx9Tsw4Koq0UNzITLktJYPVsWVdY1q42XPVWf8rDpLhftaN
 TCzBiDFxoAjVtwhyFAyhtMjE0ZyAXq6A30DnVWxGia4HmYXhVz7aPYufcyfjHk5sETO+o=
Received-SPF: pass client-ip=212.227.17.20; envelope-from=boruch_baum@HIDDEN;
 helo=mout.gmx.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--wrvhv2sruki3lcpk
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Two patch files are attached.

+ ses-header-row.patch

  + Function `ses-set-header-row' was determining the current row based
    upon variable `ses--curcell', but that variable is NIL until one
    begins an operation on a cell (eg. keybindings '=3D', '"'), so
    navigating to a row was insufficient to select that row, and further
    generated an ERROR because the code was not expecting a NIL value for
    variable `ses--curcell'

  + Using function `user-error' instead of `error' doesn't spawn a
    debug session and backtrace buffer when variable
    `toggle-debug-on-error' is set.

+ ses-user-error.patch

  + Quasi-randomly replaces some calls to function `error' with
    `user-error'.

  + There could be many other desirable points of replacement, but these
    were some obvious ones, and without knowing whether the patch would
    be accepted at all, it's what I invested.


=2D-
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0

--wrvhv2sruki3lcpk
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="ses-header-row.patch"

diff --git a/ses.el b/ses.el
index a2e6033..06a3d51 100644
--- a/ses.el
+++ b/ses.el
@@ -3457,7 +3457,9 @@ With a \\[universal-argument] prefix arg, prompt the user.
 The top row is row 1.  Selecting row 0 displays the default header row."
   (interactive
    (list (if (numberp current-prefix-arg) current-prefix-arg
-	   (let ((currow (1+ (car (ses-sym-rowcol ses--curcell)))))
+	   (let* ((curcell (or (ses--cell-at-pos (point))
+                               (user-error "Invalid header-row")))
+         	  (currow (1+ (car (ses-sym-rowcol curcell)))))
 	     (if current-prefix-arg
 		 (read-number "Header row: " currow)
 	       currow)))))

--wrvhv2sruki3lcpk
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="ses-user-error.patch"

diff --git a/ses.el b/ses.el
index 06a3d51..f7893de 100644
--- a/ses.el
+++ b/ses.el
@@ -2252,7 +2252,7 @@ Based on the current set of columns and `window-hscroll' position."
 				      names)))))
 		 (if
 		     (string= s "")
-		     (error "Invalid cell name")
+		     (user-error "Invalid cell name")
 		   (list (intern s)))))
   (let ((rowcol (ses-sym-rowcol sym)))
     (or rowcol (error "Invalid cell name"))
@@ -3380,7 +3380,7 @@ buffer."
           ((derived-mode-p 'ses-mode) ses--local-printer-hashmap)
           ((minibufferp) ses--completion-table)
           ((derived-mode-p 'help-mode) nil)
-          (t (error "Not in a SES buffer")))))
+          (t (user-error "Not in a SES buffer")))))
   (when local-printer-hashmap
     (let ((ses--list-orig-buffer (or ses--list-orig-buffer (current-buffer))))
       (help-setup-xref
@@ -3414,7 +3414,7 @@ buffer."
           ((derived-mode-p 'ses-mode) ses--named-cell-hashmap)
           ((minibufferp) ses--completion-table)
           ((derived-mode-p 'help-mode) nil)
-          (t (error "Not in a SES buffer")))))
+          (t (user-error "Not in a SES buffer")))))
   (when named-cell-hashmap
     (let ((ses--list-orig-buffer (or ses--list-orig-buffer (current-buffer))))
       (help-setup-xref

--wrvhv2sruki3lcpk--




Acknowledgement sent to Boruch Baum <boruch_baum@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47784; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 May 2021 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.